D4Science Infrastructure - Incident #12809

Error while trying to update a resource via monitoring portlet
Nov 05, 2018 12:43 PM - Luca Frosini

Status: Closed Start date: Nov 05, 2018
Priority: Normal Due date:

Assignee: Luca Frosini % Done: 100%
Category: Application Estimated time: 0.00 hour
Target version: infrastructure core services

Infrastructure: Production

Description

While trying to update a property in the resource with id dc458d64-0e52-4de7-82dc-8e9ef6abc5a3, | obtain the following error
"We're sorry, Request for registration failed on server, please check server logs”
I'm doing it using monitoring portlet available at

https://dev.d4science.org/monitor#

History

#2 - Nov 05, 2018 12:58 PM - Roberto Cirillo

- Status changed from New to In Progress

When a resource is deployed on all the scopes like Accounting-Persistent resource, the edit is very slow. This happens because the monitor portlet
performs hundreds of calls (one for each VRE) to the registry services rather than 8 calls ( one for each VO): #12726

#4 - Nov 06, 2018 12:03 PM - Roberto Cirillo
- Status changed from In Progress to Feedback
- Assignee changed from Roberto Cirillo to Luca Frosini

- % Done changed from 0 to 100

The new editing portlet has been added to next.d4science.org.
Please @luca.frosini@isti.cnr.it could you retry to update the resouce from here:
https://next.d4science.org/infrastructure-monitor

#5 - Nov 06, 2018 12:54 PM - Luca Frosini

| still get the same error

#6 - Nov 06, 2018 01:00 PM - Roberto Cirillo

I've retried right now and it works fine for me. Maybe you are doing something wrong

#7 - Nov 06, 2018 01:01 PM - Luca Frosini

Roberto Cirillo wrote:
I've retried right now and it works fine for me. Maybe you are doing something wrong
| change the value of a property and then | click update.
#8 - Nov 06, 2018 02:57 PM - Roberto Cirillo
The problem was due to an old scope (Edison VO) present on the resource. Now I've cleaned the resource and it should work.

Please @luca.frosini@isti.cnr.it could you retry now?

#9 - Nov 06, 2018 03:31 PM - Luca Frosini
- Status changed from Feedback to Closed
https://dev.d4science.org/monitor#
https://next.d4science.org/infrastructure-monitor

The GUI stalled (Several minutes already passed)

Reloading the resource in root scope it has been updated successfully.
